#!/bin/sh

if [[ $1 = "connect" ]]
then
	/usr/sbin/diskutil mountDisk disk1
    newDrive=`mount | perl -ne '/^(\S+1s\d+)( on )(.*)( \()/ and print $3'`
	driveIdentifier=`/usr/sbin/diskutil info $newDrive | perl -ne '/^(.*)(Identifier:)( +)(.*)/ and print $4'`;
	mount -uw /
	
    if [[ $newDrive ]]
    then
        echo "Preparing $newDrive for use as primary storage drive."

		if test -e $newDrive/usbATV
		then
			echo "Copying content to USB drive. Please be patient.";
		
	        cp -R /mnt/Media/* $newDrive    
			echo "Content copied to $newDrive."
		
	        echo "Backing up BackRow framework."
		fi
	
		if test -e /Users/frontrow/BackRow.orig.bak
        then
            echo "BackRow is already backed up. You've done this before!!"
        else
            cp -p /System/Library/PrivateFrameworks/BackRow.Framework/Versions/A/BackRow /Users/frontrow/BackRow.orig.bak
	        echo "BackRow backed up to /Users/frontrow/BackRow.orig.bak. Do NOT delete this file!"
        fi
		
		
		backrowMD5=`md5 /System/Library/PrivateFrameworks/BackRow.Framework/Versions/A/BackRow | perl -ne '/^(.*= )(.*)/ and print $2'`
		
		if [ $backrowMD5 == "ca8a8b39c5b77c112e7875f0c42e52d1" ]
		then
			driveUUID=`/usr/sbin/diskutil info $newDrive | perl -ne '/^(.*)(UUID:)( +)(.*)/ and print \$4'`
			/usr/bin/backrow_patch.pl $driveIdentifier $driveUUID
			`touch $newDrive/usbATV`
			`touch $newDrive/usbATVpatched`
	        echo "Rebooting."
			shutdown -r now
		else
			`touch $newDrive/usbATV`
	        echo "Restarting Finder."
	        killall Finder
		fi
    fi
fi

if [[ $1 = "disconnect" ]]
then
    echo "Uninstall, not yet implemented."
fi